export declare class EclInpageNavigation {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    colorMode: string;
    noScript: boolean;
    inpageTitle: string;
    inpageId: string;
    getClass(): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
